Page MenuHomePhabricator

Schema upgrades to add headers field
Closed, ResolvedPublic

Description

  • The following schema alternations should be done in production to support PR #1007
ALTER TABLE "others_T_parsoid__ng_data2pfX88WDfxDffCFHoTUDoy8"."data" ADD "headers" text;
ALTER TABLE "others_T_parsoid__ng_section9wYKz1EvijuZtgPVP5tq"."data" ADD "headers" text;
ALTER TABLE "others_T_parsoid__ng_html"."data" ADD "headers" text;
ALTER TABLE "others_T_mobile__ng_remaining"."data" ADD "headers" text;
ALTER TABLE "others_T_mobile__ng_lead"."data" ADD "headers" text;
ALTER TABLE "commons_T_parsoid__ng_data2pfX88WDfxDffCFHoTUDoy"."data" ADD "headers" text;
ALTER TABLE "commons_T_parsoid__ng_section9wYKz1EvijuZtgPVP5t"."data" ADD "headers" text;
ALTER TABLE "commons_T_parsoid__ng_html"."data" ADD "headers" text;
ALTER TABLE "commons_T_mobile__ng_remaining"."data" ADD "headers" text;
ALTER TABLE "commons_T_mobile__ng_lead"."data" ADD "headers" text;
ALTER TABLE "wikipedia_T_parsoid__ng_data2pfX88WDfxDffCFHoTUD"."data" ADD "headers" text;
ALTER TABLE "wikipedia_T_parsoid__ng_section9wYKz1EvijuZtgPVP"."data" ADD "headers" text;
ALTER TABLE "wikipedia_T_parsoid__ng_html"."data" ADD "headers" text;
ALTER TABLE "wikipedia_T_mobile__ng_remaining"."data" ADD "headers" text;
ALTER TABLE "wikipedia_T_mobile__ng_lead"."data" ADD "headers" text;
ALTER TABLE "enwiki_T_parsoid__ng_data2pfX88WDfxDffCFHoTUDoy8"."data" ADD "headers" text;
ALTER TABLE "enwiki_T_parsoid__ng_section9wYKz1EvijuZtgPVP5tq"."data" ADD "headers" text;
ALTER TABLE "enwiki_T_parsoid__ng_html"."data" ADD "headers" text;
ALTER TABLE "enwiki_T_mobile__ng_remaining"."data" ADD "headers" text;
ALTER TABLE "enwiki_T_mobile__ng_lead"."data" ADD "headers" text;
  • The following alternations should be done in beta:
ALTER TABLE "others_T_parsoid__ng_data2pfX88WDfxDffCFHoTUDoy8"."data" ADD "headers" text;
ALTER TABLE "others_T_parsoid__ng_section9wYKz1EvijuZtgPVP5tq"."data" ADD "headers" text;
ALTER TABLE "others_T_parsoid__ng_html"."data" ADD "headers" text;
ALTER TABLE "others_T_mobile__ng_remaining"."data" ADD "headers" text;
ALTER TABLE "others_T_mobile__ng_lead"."data" ADD "headers" text;

Event Timeline

Pchelolo triaged this task as High priority.Jun 20 2018, 12:23 PM
Pchelolo created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 20 2018, 12:23 PM
Pchelolo updated the task description. (Show Details)Jun 20 2018, 12:26 PM
Pchelolo updated the task description. (Show Details)Jun 25 2018, 11:19 AM

Mentioned in SAL (#wikimedia-operations) [2018-06-25T12:04:33Z] <mobrovac> Restbase: Add the "headers" field to Cassandra schemae in production for T197789

mobrovac updated the task description. (Show Details)Jun 25 2018, 1:10 PM
mobrovac closed this task as Resolved.Jun 25 2018, 1:12 PM
mobrovac claimed this task.
mobrovac edited projects, added Services (done); removed Services (doing).

The changes have been applied to all of our environments (beta, dev, prod) and all of the instances agree on the schemae, so resolving.

For posterity, this is the YAML used to apply the commands in dev and prod:

others_T_parsoid__ng_data2pfX88WDfxDffCFHoTUDoy8:
  statement: ALTER TABLE "others_T_parsoid__ng_data2pfX88WDfxDffCFHoTUDoy8"."data" ADD "headers" text;
others_T_parsoid__ng_section9wYKz1EvijuZtgPVP5tq:
  statement: ALTER TABLE "others_T_parsoid__ng_section9wYKz1EvijuZtgPVP5tq"."data" ADD "headers" text;
others_T_parsoid__ng_html:
  statement: ALTER TABLE "others_T_parsoid__ng_html"."data" ADD "headers" text;
others_T_mobile__ng_remaining:
  statement: ALTER TABLE "others_T_mobile__ng_remaining"."data" ADD "headers" text;
others_T_mobile__ng_lead:
  statement: ALTER TABLE "others_T_mobile__ng_lead"."data" ADD "headers" text;
commons_T_parsoid__ng_data2pfX88WDfxDffCFHoTUDoy:
  statement: ALTER TABLE "commons_T_parsoid__ng_data2pfX88WDfxDffCFHoTUDoy"."data" ADD "headers" text;
commons_T_parsoid__ng_section9wYKz1EvijuZtgPVP5t:
  statement: ALTER TABLE "commons_T_parsoid__ng_section9wYKz1EvijuZtgPVP5t"."data" ADD "headers" text;
commons_T_parsoid__ng_html:
  statement: ALTER TABLE "commons_T_parsoid__ng_html"."data" ADD "headers" text;
commons_T_mobile__ng_remaining:
  statement: ALTER TABLE "commons_T_mobile__ng_remaining"."data" ADD "headers" text;
commons_T_mobile__ng_lead:
  statement: ALTER TABLE "commons_T_mobile__ng_lead"."data" ADD "headers" text;
wikipedia_T_parsoid__ng_data2pfX88WDfxDffCFHoTUD:
  statement: ALTER TABLE "wikipedia_T_parsoid__ng_data2pfX88WDfxDffCFHoTUD"."data" ADD "headers" text;
wikipedia_T_parsoid__ng_section9wYKz1EvijuZtgPVP:
  statement: ALTER TABLE "wikipedia_T_parsoid__ng_section9wYKz1EvijuZtgPVP"."data" ADD "headers" text;
wikipedia_T_parsoid__ng_html:
  statement: ALTER TABLE "wikipedia_T_parsoid__ng_html"."data" ADD "headers" text;
wikipedia_T_mobile__ng_remaining:
  statement: ALTER TABLE "wikipedia_T_mobile__ng_remaining"."data" ADD "headers" text;
wikipedia_T_mobile__ng_lead:
  statement: ALTER TABLE "wikipedia_T_mobile__ng_lead"."data" ADD "headers" text;
enwiki_T_parsoid__ng_data2pfX88WDfxDffCFHoTUDoy8:
  statement: ALTER TABLE "enwiki_T_parsoid__ng_data2pfX88WDfxDffCFHoTUDoy8"."data" ADD "headers" text;
enwiki_T_parsoid__ng_section9wYKz1EvijuZtgPVP5tq:
  statement: ALTER TABLE "enwiki_T_parsoid__ng_section9wYKz1EvijuZtgPVP5tq"."data" ADD "headers" text;
enwiki_T_parsoid__ng_html:
  statement: ALTER TABLE "enwiki_T_parsoid__ng_html"."data" ADD "headers" text;
enwiki_T_mobile__ng_remaining:
  statement: ALTER TABLE "enwiki_T_mobile__ng_remaining"."data" ADD "headers" text;
enwiki_T_mobile__ng_lead:
  statement: ALTER TABLE "enwiki_T_mobile__ng_lead"."data" ADD "headers" text;
Vvjjkkii renamed this task from Schema upgrades to add headers field to 6kaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed mobrovac as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
mobrovac renamed this task from 6kaaaaaaaa to Schema upgrades to add headers field.Jul 1 2018, 10:21 AM
mobrovac closed this task as Resolved.
mobrovac claimed this task.
mobrovac updated the task description. (Show Details)
mobrovac removed a subscriber: mobrovac.